unit _frmAbout;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, cxGraphics, cxLookAndFeels,
  cxLookAndFeelPainters, Vcl.Menus, Vcl.StdCtrls, cxButtons, Vcl.ExtCtrls,
  siComp, _frmSmartWindows;

type
  TfrmAbout = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Image1: TImage;
    btnClose: TcxButton;
    lblVersion: TLabel;
    siLang: TsiLang;
    procedure btnCloseClick(Sender: TObject);
    procedure lblVersionClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.dfm}

uses _SharedFunctions;

procedure TfrmAbout.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmAbout.lblVersionClick(Sender: TObject);
begin
  lblVersion.Caption := 'Build: ' + TFileVersionStr.GetFileVersionStr(ParamStr(0));
end;

end.
